Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development

Reply
New Developer
Posts: 2
Registered: ‎06-25-2009
My Device: Not Specified

error: Requires signing with key: RIM Runtime API

Hello,

 

  I recently downloaded the Blackberry RDE. I'm trying to run the 'hello world' app and I get the message displayed in the subject line of this message. Should I have to by the 'keys' for RIM in order to get this to run?

 

Thanks,

SB.

 

Developer
Posts: 984
Registered: ‎02-10-2009
My Device: Not Specified

Re: error: Requires signing with key: RIM Runtime API

This error means you are using some API that requires code signing.

 

In that case you have to get signing key from RIM(20USD).

 

Regards

Bikas

Developer
Posts: 984
Registered: ‎02-10-2009
My Device: Not Specified

Re: error: Requires signing with key: RIM Runtime API

Go through this thread for details information about code signing.

http://supportforums.blackberry.com/rim/board/message?board.id=java_dev&message.id=33010#M33010

 

Regards

Bikas

New Developer
Posts: 2
Registered: ‎06-25-2009
My Device: Not Specified

Re: error: Requires signing with key: RIM Runtime API

Wow, these guys are pretty tough on security/the dollar. I went ahead and purchased the keys. Once I get them I'll try again.

 

Thanks.

SB.

 

 

Visitor
Posts: 1
Registered: ‎10-25-2010
My Device: BB9700
My Carrier: starhub

Re: error: Requires signing with key: RIM Runtime API

Why do I still get Signing Required : RIM Runtime API in eclipse source after succesfully signing with signature tool. I have registered my set of signed code.

 

Thanks